Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455170 - Please rebuild python for db 4.7 (using attached patch)
Summary: Please rebuild python for db 4.7 (using attached patch)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-13 13:09 UTC by Robert Scheck
Modified: 2008-07-17 13:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-17 13:41:29 UTC


Attachments (Terms of Use)

Description Robert Scheck 2008-07-13 13:09:30 UTC
Description of problem:
Python is currently built against db 4.6 which is now in compat-db, as the 
latest db is version 4.7. Please rebuild python for db 4.7 (using the attached 
patch, as python links per default always to db 4.6). Tom did already run into
this nice thing when he tried a rebuild for 4.7 ;-) 

See http://koji.fedoraproject.org/koji/rpminfo?rpmID=656081 to get, that Tom 
did not check, whether his rebuild changed something...sorry for blaming you.

Version-Release number of selected component (if applicable):
db4-4.7.25-2

How reproducible:
Everytime, see above.

Actual results:
Python links against db 4.6.

Expected results:
Python should link against db 4.7.

Comment 1 Robert Scheck 2008-07-13 13:11:02 UTC
--- SOURCES/python-2.5-config.patch       2008-07-12 22:19:59.000000000 +0200
+++ SOURCES/python-2.5-config.patch.rsc   2008-07-13 15:10:08.000000000 +0200
@@ -248,7 +248,7 @@
 -#DBINC=$(DB)/include
 -#DBLIB=$(DB)/lib
 -#_bsddb _bsddb.c -I$(DBINC) -L$(DBLIB) -ldb-$(DBLIBVER)
-+DBLIBVER=4.6
++DBLIBVER=4.7
 +DBINC=/usr/include/db4
 +DBLIB=/usr/lib
 +_bsddb _bsddb.c -I$(DBINC) -L$(DBLIB) -ldb-$(DBLIBVER)

Comment 2 Jeremy Katz 2008-07-17 13:41:29 UTC
Building, thanks for the patch


Note You need to log in before you can comment on or make changes to this bug.